"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
function accessoryInformation(hap) {
    const { Characteristic } = hap;
    return (accessory, hkDevice) => {
        const infoService = accessory.getService(hap.Service.AccessoryInformation);
        if (infoService === undefined)
            return undefined;
        if (!infoService.getCharacteristic(Characteristic.FirmwareRevision)) {
            infoService.addCharacteristic(Characteristic.FirmwareRevision);
        }
        if (!infoService.getCharacteristic(Characteristic.HardwareRevision)) {
            infoService.addCharacteristic(Characteristic.HardwareRevision);
        }
        infoService
            .setCharacteristic(Characteristic.Name, hkDevice.name)
            .setCharacteristic(Characteristic.Manufacturer, hkDevice.manufacturer)
            .setCharacteristic(Characteristic.Model, hkDevice.model)
            .setCharacteristic(Characteristic.SerialNumber, hkDevice.serialNumber)
            .setCharacteristic(Characteristic.FirmwareRevision, hkDevice.firmwareRevision)
            .setCharacteristic(Characteristic.HardwareRevision, hkDevice.hardwareRevision);
        return infoService;
    };
}
exports.default = accessoryInformation;
//# sourceMappingURL=accessory-information.js.map