import type { PlatformAccessory } from 'homebridge';
import type { Bulb } from 'tplink-smarthome-api';
import HomekitDevice from '.';
import { TplinkSmarthomeConfig } from '../config';
import type TplinkSmarthomePlatform from '../platform';
import type { TplinkSmarthomeAccessoryContext } from '../platform';
export default class HomeKitDeviceBulb extends HomekitDevice {
    readonly config: TplinkSmarthomeConfig;
    readonly tplinkDevice: Bulb;
    private desiredLightState;
    constructor(platform: TplinkSmarthomePlatform, config: TplinkSmarthomeConfig, homebridgeAccessory: PlatformAccessory<TplinkSmarthomeAccessoryContext> | undefined, tplinkDevice: Bulb);
    /**
     * Aggregates getLightState requests
     *
     * @private
     */
    private getLightState;
    /**
     * Aggregates setLightState requests
     *
     * @private
     */
    private setLightState;
    /**
     * Aggregates getRealtime requests
     *
     * @private
     */
    private getRealtime;
    private addLightbulbService;
    private addBrightnessCharacteristic;
    private removeBrightnessCharacteristic;
    private addColorTemperatureCharacteristic;
    private removeColorTemperatureCharacteristic;
    private addColorCharacteristics;
    private removeColorCharacteristics;
    private addEnergyCharacteristics;
    private removeEnergyCharacteristics;
    identify(): void;
}
//# sourceMappingURL=bulb.d.ts.map