import type { PlatformAccessory } from 'homebridge';
import type { Plug } from 'tplink-smarthome-api';
import HomekitDevice from '.';
import { TplinkSmarthomeConfig } from '../config';
import type TplinkSmarthomePlatform from '../platform';
import type { TplinkSmarthomeAccessoryContext } from '../platform';
export default class HomeKitDevicePlug extends HomekitDevice {
    readonly config: TplinkSmarthomeConfig;
    readonly tplinkDevice: Plug;
    private desiredPowerState?;
    constructor(platform: TplinkSmarthomePlatform, config: TplinkSmarthomeConfig, homebridgeAccessory: PlatformAccessory<TplinkSmarthomeAccessoryContext> | undefined, tplinkDevice: Plug);
    /**
     * Aggregates getSysInfo requests
     *
     * @private
     */
    private getSysInfo;
    /**
     * Aggregates setPowerState requests
     *
     * @private
     */
    private setPowerState;
    /**
     * Aggregates getRealtime requests
     *
     * @private
     */
    private getRealtime;
    private addOutletService;
    private removeOutletService;
    private addLightbulbService;
    private removeLightbulbService;
    private addOnCharacteristic;
    private addBrightnessCharacteristic;
    private removeBrightnessCharacteristic;
    private addEnergyCharacteristics;
    private removeEnergyCharacteristics;
    identify(): void;
}
//# sourceMappingURL=plug.d.ts.map